org.appng.xml.platform

## Class Action

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Action

- All Implemented Interfaces:
    Serializable

      public class Action
      extends BaseObject
      implements Serializable

  Performs some business logic by implementing the `org.appng.api.ActionProvider<T>` interface.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `async`
    `protected Bean` | `bean`
    `protected String` | `clientValidation`
    `protected Condition` | `condition`
    `protected DataConfig` | `config`
    `protected Data` | `data`
    `protected DatasourceRef` | `datasource`
    `protected String` | `eventId`
    `protected String` | `id`
    `protected Messages` | `messages`
    `protected String` | `mode`
    `protected String` | `onSuccess`
    `protected String` | `source`
    `protected UserData` | `userdata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Action()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAsync()` If evaluating to `true`, the `Action` will be executed asynchronously.
    `Bean` | `getBean()` Gets the value of the bean property.
    `String` | `getClientValidation()` If evaluating to `true`, the validation of the input-fields will be performed on the client (where possible).
    `Condition` | `getCondition()` Gets the value of the condition property.
    `DataConfig` | `getConfig()` Gets the value of the config property.
    `Data` | `getData()` Gets the value of the data property.
    `DatasourceRef` | `getDatasource()` Gets the value of the datasource property.
    `String` | `getEventId()` The unique id of the event the action belongs to.
    `String` | `getId()` The unique id of the action.
    `Messages` | `getMessages()` Gets the value of the messages property.
    `String` | `getMode()` If the appNG-template or the application's custom templating supports some custom display mode(s), the mode can be used to control this custom behavior.
    `String` | `getOnSuccess()` The URI to forward to after successfully performing the action.
    `String` | `getSource()` The fully qualified class name of the underlying bean.
    `UserData` | `getUserdata()` Gets the value of the userdata property.
    `void` | `setAsync(String value)` Sets the value of the async property.
    `void` | `setBean(Bean value)` Sets the value of the bean property.
    `void` | `setClientValidation(String value)` Sets the value of the clientValidation property.
    `void` | `setCondition(Condition value)` Sets the value of the condition property.
    `void` | `setConfig(DataConfig value)` Sets the value of the config property.
    `void` | `setData(Data value)` Sets the value of the data property.
    `void` | `setDatasource(DatasourceRef value)` Sets the value of the datasource property.
    `void` | `setEventId(String value)` Sets the value of the eventId property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setMessages(Messages value)` Sets the value of the messages property.
    `void` | `setMode(String value)` Sets the value of the mode property.
    `void` | `setOnSuccess(String value)` Sets the value of the onSuccess property.
    `void` | `setSource(String value)` Sets the value of the source property.
    `void` | `setUserdata(UserData value)` Sets the value of the userdata property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected DataConfig config

    - #### condition

          protected Condition condition

    - #### messages

          protected Messages messages

    - #### datasource

          protected DatasourceRef datasource

    - #### userdata

          protected UserData userdata

    - #### data

          protected Data data

    - #### bean

          protected Bean bean

    - #### id

          protected String id

    - #### eventId

          protected String eventId

    - #### onSuccess

          protected String onSuccess

    - #### mode

          protected String mode

    - #### async

          protected String async

    - #### clientValidation

          protected String clientValidation

    - #### source

          protected String source

  - ### Constructor Detail

    - #### Action

          public Action()

  - ### Method Detail

    - #### getConfig

          public DataConfig getConfig()

      Gets the value of the config property.
      Returns:
        possible object is `DataConfig`

    - #### setConfig

          public void setConfig(DataConfig value)

      Sets the value of the config property.
      Parameters:
        `value` - allowed object is `DataConfig`

    - #### getCondition

          public Condition getCondition()

      Gets the value of the condition property.
      Returns:
        possible object is `Condition`

    - #### setCondition

          public void setCondition(Condition value)

      Sets the value of the condition property.
      Parameters:
        `value` - allowed object is `Condition`

    - #### getMessages

          public Messages getMessages()

      Gets the value of the messages property.
      Returns:
        possible object is `Messages`

    - #### setMessages

          public void setMessages(Messages value)

      Sets the value of the messages property.
      Parameters:
        `value` - allowed object is `Messages`

    - #### getDatasource

          public DatasourceRef getDatasource()

      Gets the value of the datasource property.
      Returns:
        possible object is `DatasourceRef`

    - #### setDatasource

          public void setDatasource(DatasourceRef value)

      Sets the value of the datasource property.
      Parameters:
        `value` - allowed object is `DatasourceRef`

    - #### getUserdata

          public UserData getUserdata()

      Gets the value of the userdata property.
      Returns:
        possible object is `UserData`

    - #### setUserdata

          public void setUserdata(UserData value)

      Sets the value of the userdata property.
      Parameters:
        `value` - allowed object is `UserData`

    - #### getData

          public Data getData()

      Gets the value of the data property.
      Returns:
        possible object is `Data`

    - #### setData

          public void setData(Data value)

      Sets the value of the data property.
      Parameters:
        `value` - allowed object is `Data`

    - #### getBean

          public Bean getBean()

      Gets the value of the bean property.
      Returns:
        possible object is `Bean`

    - #### setBean

          public void setBean(Bean value)

      Sets the value of the bean property.
      Parameters:
        `value` - allowed object is `Bean`

    - #### getId

          public String getId()

      The unique id of the action.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEventId

          public String getEventId()

      The unique id of the event the action belongs to.
      Returns:
        possible object is `String`

    - #### setEventId

          public void setEventId(String value)

      Sets the value of the eventId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOnSuccess

          public String getOnSuccess()

      The URI to forward to after successfully performing the action.
      Returns:
        possible object is `String`

    - #### setOnSuccess

          public void setOnSuccess(String value)

      Sets the value of the onSuccess property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMode

          public String getMode()

      If the appNG-template or the application's custom templating supports some custom display mode(s), the mode can be used to control this custom behavior.
      Returns:
        possible object is `String`

    - #### setMode

          public void setMode(String value)

      Sets the value of the mode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAsync

          public String getAsync()

      If evaluating to `true`, the `Action` will be executed asynchronously.
      Returns:
        possible object is `String`

    - #### setAsync

          public void setAsync(String value)

      Sets the value of the async property.
      Parameters:
        `value` - allowed object is `String`

    - #### getClientValidation

          public String getClientValidation()

      If evaluating to `true`, the validation of the input-fields will be performed on the client (where possible).
      Returns:
        possible object is `String`

    - #### setClientValidation

          public void setClientValidation(String value)

      Sets the value of the clientValidation property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSource

          public String getSource()

      The fully qualified class name of the underlying bean.
      Returns:
        possible object is `String`

    - #### setSource

          public void setSource(String value)

      Sets the value of the source property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.